﻿using System;
using System.Windows.Data;

namespace TilesTest
{
    public class KeyConverter
       : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is string && parameter is string)
            {
                var key = (string)value;
                var param = (string)parameter;

                key = key.Replace(param, "");

                return key;
            }

            return "";
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }  
}
